[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenu.ParentBidiModeChanged

Performs action when ParentBiDiMode has been changed.

## Declaration

Source position: menus.pp line 400

`protected procedure TMenu.ParentBidiModeChanged; procedure TMenu.ParentBidiModeChanged(`
`AOwner: TComponent`
`);`

## Arguments

`AOwner` |  | Owner of the menu instance with the BiDiMode value applied to the menu.

## Description

Performs actions needed when the value in ParentBiDiMode has been changed. When Parent BiDiMode is set to True, ParentBidiModeChanged ensures the BiDiMode from the TCustomForm instance in AOwner is used in the menu.

ParentBidiModeChanged is called from the Create constructor, and when a new value is assigned to the ParentBiDiMode property.